dson_core 0.15.6

dson_core #

Core libraries of dson

0.15.6 #

  • upgrade analyzer to version ^0.36.0

0.15.4 #

  • fix set null values to attributes (fixes: #45)

0.15.3 #

  • Enhance serialization of generics
  • Add ability to deserialize generics
  • upgrade analyzer to version ^0.34.0
  • upgrade serializable_core to version ^0.11.2

0.15.2 #

  • upgrade analyzer to version ^0.33.0
  • upgrade build_runner to version ^1.0.0
  • upgrade build to version ^1.0.1
  • upgrade serializable_core to version ^0.11.1

0.15.1 #

  • fix deserialize class with default constructor with optional args (fix #37).
  • deserialize immutable with wrong constructor-parameter name now is possible. However now it returns null for that parameter after deserializing instead throwing NoConstructorFound error.

0.15.0 #

  • upgrade serializable_core to version 0.11.0 since this version now generates from methods which now allows convert objects from generic values.
  • move SerializedName to built_mirrors library since the serialized name is now generated at build time

0.14.0 #

  • upgrade sourge_gen to version ^0.9.0
  • upgrade analyzer to version ^0.32.0
  • upgrade built_mirrors_core to version ^0.9.0
  • upgrade serializable_core to version ^0.10.0

0.13.3 #

0.13.2 #

  • fix error serializing immutable with optional parameters

0.13.1 #

  • upgrade source_gen to version ^0.8.0

0.13.0 #

  • Upgrade serializable_core to version ^0.9.0

0.12.0 #

  • move files from dson

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  dson_core: ^0.15.6

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:dson_core/dson.dart';
import 'package:dson_core/generator.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
44
Health:
Code health derived from static analysis. [more]
96
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
43
Overall:
Weighted score of the above. [more]
60
Learn more about scoring.

We analyzed this package on Sep 17, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.5.0
  • pana: 0.12.21

Platforms

Detected platforms: other

Platform components identified in package: build, io, mirrors.

Health suggestions

Fix lib/src/annotations.dart. (-1.49 points)

Analysis of lib/src/annotations.dart reported 3 hints:

line 3 col 1: Prefer using /// for doc comments.

line 12 col 1: Prefer using /// for doc comments.

line 17 col 1: Prefer using /// for doc comments.

Fix lib/src/exceptions.dart. (-1.49 points)

Analysis of lib/src/exceptions.dart reported 3 hints:

line 3 col 1: Prefer using /// for doc comments.

line 22 col 1: Prefer using /// for doc comments.

line 36 col 1: Prefer using /// for doc comments.

Fix lib/src/deserializer.dart. (-0.50 points)

Analysis of lib/src/deserializer.dart reported 1 hint:

line 225 col 7: Use isNotEmpty instead of length

Fix additional 4 files with analysis or formatting issues. (-0.50 points)

Additional issues in the following files:

  • lib/src/serializer.dart (1 hint)
  • lib/dson.dart (Run dartfmt to format lib/dson.dart.)
  • lib/generator.dart (Run dartfmt to format lib/generator.dart.)
  • lib/src/caches.dart (Run dartfmt to format lib/src/caches.dart.)

Maintenance issues and suggestions

Homepage URL doesn't exist. (-20 points)

At the time of the analysis the homepage field https://github.com/luisvt/dson_core was unreachable.

Support latest dependencies. (-10 points)

The version constraint in pubspec.yaml does not support the latest published versions for 1 dependency (analyzer).

The package description is too short. (-17 points)

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and dson_core.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=1.8.0 <3.0.0
analyzer ^0.36.0 0.36.4 0.38.2
build ^1.0.1 1.1.6
logging ^0.11.0 0.11.3+2
serializable_core ^0.11.2+1 0.11.3
source_gen ^0.9.0 0.9.4+4
Transitive dependencies
args 1.5.2
async 2.3.0
built_mirrors_core 0.10.6
charcode 1.1.2
collection 1.14.12
convert 2.1.1
crypto 2.1.3
csslib 0.16.1
dart_style 1.2.9 1.2.10
front_end 0.1.19 0.1.24
glob 1.1.7
html 0.14.0+2
kernel 0.3.19 0.3.24
meta 1.1.7
package_config 1.1.0
path 1.6.4
pedantic 1.8.0+1
pub_semver 1.4.2
source_span 1.5.5
string_scanner 1.0.5
term_glyph 1.1.0
typed_data 1.1.6
watcher 0.9.7+12
yaml 2.1.16